Description: Bonjour,

je viens de faire passer un examen a 350 étudiants. Je n'arrive pas a importer les copies :

Je vois apparaitre de maniere furtive dans la console des messages de ce type:

ERROR (chemin d'acces de mon projet/scans/etud1.pdf-page-5_0001.pdf_0009.png): no layout for ID
+0/0/0+)

Je suis sous mac 10.15.7

J'avais pourtant fait un test sur quelques copies (importées et analysées avec succes) avant de lancer
I'examen.

Je ne comprends pas. Entre temps, j'ai mis a jour X11 mais je en vois pas pourquoi ca poserait probleme.
J'ai ensuite essayé de charger mon projet créé sur mac sur une machine Linux. La, j'arrive a importer les
scans des copies qui paraissent corrects (en cliquant sur "calage" ou "zooms"). Par contre, quand je corrige
les copies, elles ont toute 0/20 et je ne peux pas associer les copies aux noms...

Je suis en échec complet en somme.

Merci beaucoup d'avance pour toute aide...

les fichiers sont ici :
https://filesender.renater.fr/?s=download&token=f7501b9c-7292-4d78-8cf0-fae2ca4fi18a1l

History

02/03/2021 04:10 pm - Alexis Bienveniie

- Status changed from New to Feedback

> quand je corrige les copies, elles ont toute 0/20
A partir des zooms, pouvez-vous vérifier que les cases sont bien classifiées (cases cochées ou non cochées) ?
Si c'est bien le cas, pouvez-vous calculer les notes avec la mise a jour du baréme, en mode débogage, et poster le fichier @log@ produit ?

02/03/2021 05:17 pm - Julien Varaldi

merci pour votre réponse.

Bon j'ai une piste pour mon probleme de scan sur mon mac : en modifiant les parametres du scan dans les preferences comme suit :
densite : 250

seuil conversion 0.60

majoration : 0.2

minoration: 0.2

Seuil noirceur : 0.6

Seuil noirceur max : 1

prop a mesurer : 1
controle des scans avec 3 angles marqués coché

J'arrive a importer les scans ! C'est mieux ! Ensuite la correction se déroule normalement, je peux associer les identifiants pour la plupart des copies.

Par contre, les scans ayant été fait la téte en bas ne sont pas "retournés" par AMC, donc si on essaye de faire une association manuelle pour ces
copies, on ne voit pas le champ "image" du nom mais une image correspondant a la meme région mais sur la copie retournée... Bizarrement, la
correction est correcte mais la copie annotée est a I'envers... En effet au moment de I'importation de copies "a I'envers" on voit que AMC ecrit "rotating"
dans la console.

Je n'ai plus le probleme des copies avec 0/20. Je ne sais pas bien pourquoi, mais je ne suis pas capable de reproduire ce comportement...

Je suis preneur d'aide pour ce probleme de scan a l'envers non retournés par AMC. J'ai fait tourner AMC sur 2 copies (une a I'endroit une a I'envers) en

mode debogage.

le log estici :
https://filesender.renater.fr/?s=download&token=71b71ff6-4ecf-471d-8ab0-517696452303

Merci !

02/04/2021 01:20 am - Julien Varaldi

j'ai fini par m'en sortir en bricolant une solution :

j'oriente les pdfs correctement (plusieurs server web font ca)

et en plus, j'ai eu besoin de les convertir en jpg (car bizarrement méme si le pdf est apparemment a I'endroit maintenant, AMC produit toujours une
copie annotée a l'envers...) :

<pre>

gs -dNOPAUSE -sDEVICE=jpeg -r200 -dJPEGQ=100 -sOutputFile=./jpg/suite-%02d.jpg "suite_rotated_86copies.pdf" -dBATCH

</pre>

Ensuite importer normalement...

Je suis preneur d'une meilleure solution si jamais...

bonne nuit !

02/04/2021 08:34 am - Alexis Bienveniie

Quelle version d'AMC utilisez-vous ? Normalement le scan devrait étre bien traité méme s'il est a I'envers.

02/04/2021 09:16 am - Julien Varaldi

Oui, je n'ai jamais eu ce probleme jusque la.
J'utilise la version suivante:
1.4.0+git2020-03-30

02/04/2021 11:27 am - Joél Brogniart
Dans vos fichiers, il aurait mieux fallu mettre tout le projet (sauf les copies numérisées) car cela permet de vérifier aussi les préférences. Pouvez-vous
vérifier dans le panneau "Projet" le nombre de copies indiquées pour votre projet ? S'il est inférieur au nombre de sujets certains sujets ne peuvent étre

reconnus.
02/04/2021 11:40 am - Joél Brogniart

Votre journal signale un probléeme avec convert, un utilitaire qui fait partie de ImageMagick. Il y a peut-étre une mise a jour de I'utilitaire qui pose
probléme. Que donne comme information la commande suivante ?

<pre>port installed|grep -i magick</pre>

02/04/2021 11:50 am - Joél Brogniart
Et je vois que X11 est une des dépendances de ImageMagick. Il faut peut étre le mettre a jour aussi.

02/04/2021 01:03 pm - Julien Varaldi
Joél Brogniart wrote:
> Votre journal signale un probléme avec convert, un utilitaire qui fait partie de ImageMagick. Il y a peut-étre une mise a jour de I'utilitaire qui pose

probléme. Que donne comme information la commande suivante ?

Ca donne ca:

ImageMagick @6.9.11-10_0+x11 (active)
p5.28-perimagick @6.9.11-10_0 (active)

02/04/2021 01:16 pm - Julien Varaldi

Joél Brogniart wrote:

> Dans vos fichiers, il aurait mieux fallu mettre tout le projet (sauf les copies numérisées) car cela permet de vérifier aussi les préférences. Pouvez-vous
vérifier dans le panneau "Projet" le nombre de copies indiquées pour votre projet ? S'il est inférieur au nombre de sujets certains sujets ne peuvent étre

reconnus.

Desolé. Ici j'ai tout mis (sauf les scans et les cr) :
https:/filesender.renater.fr/?s=download&token=4a2dc35b-dbb8-406a-8b75-885761b3fa7a

Je ne suis pas sur de comprendre la question : dans I'onglet "Preparation”, il y a 350 copies indiqué. Dans I'onglet "Projet" des préférences, je ne vois
pas ce genre d'information... Je ne cherche peut etre pas au bon endroit.

merci

02/04/2021 01:38 pm - Joél Brogniart

Non, c'était bien I'onglet préparation quand le projet est ouvert. Donc le probléme ne provient pas de la.

Par contre il y a des chances que la mise a jour X11 ait perturbé ImageMagick et comme c'est I'utilitaire qui est utilisé pour travailler sur les images ¢a

pourrait expliquer les problémes que vous rencontrez.

02/04/2021 09:23 pm - Alexis Bienveniie

> Can't exec "convert": Bad CPU type in executable at /opt/local/lib/perl5/vendor_perl/5.28/AMC/Exec.pm line 76.
> Commande inexistante : convert at /opt/local/lib/perl5/vendor_perl/5.28/AMC/Exec.pm line 77.

Effectivement cela ressemble a uns installation d'ImageMagick défectueuse.

Ici convert est appelé justement pour retourner une page qui avait l'air a I'envers.

02/19/2021 05:12 pm - Julien Varaldi

j'ai mis a jour differentes choses comme image magick, X11 et mis a jour le systéme 10.15.7 et tout est rentré dans I'ordre.
La prochaine fois, ca devrait mieux se passer !

Merci pour I'aide en tout cas.

02/19/2021 06:15 pm - Alexis Bienveniie

- Status changed from Feedback to Closed

- % Done changed from 0 to 100
